aboutsummaryrefslogtreecommitdiff
path: root/games/img2xterm/img2xterm.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'games/img2xterm/img2xterm.SlackBuild')
-rw-r--r--games/img2xterm/img2xterm.SlackBuild87
1 files changed, 87 insertions, 0 deletions
diff --git a/games/img2xterm/img2xterm.SlackBuild b/games/img2xterm/img2xterm.SlackBuild
new file mode 100644
index 000000000000..21345282bd6a
--- /dev/null
+++ b/games/img2xterm/img2xterm.SlackBuild
@@ -0,0 +1,87 @@
+#!/bin/sh
+
+# Slackware build script for img2xterm
+
+# Written by B. Watson (yalhcru@gmail.com)
+
+# Licensed under the WTFPL. See http://www.wtfpl.net/txt/copying/ for details.
+
+PRGNAM=img2xterm
+VERSION=${VERSION:-1.0.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . -perm /111 -a \! -perm 755 -a -exec chmod 755 {} \+ -o \
+ \! -perm /111 -a \! -perm 644 -a -exec chmod 644 {} \+
+
+# Hardcoded stuffs. The LN line turns the absolute symlinks into
+# relative, so we don't end up with links to $PKG.
+sed -i \
+ -e 's,share/man,man,g' \
+ -e 's,/bin\>,/games,g' \
+ -e "s,-O2,$SLKCFLAGS," \
+ -e '/LN/s,\$(PREFIX)[^ ]*/,,' \
+ Makefile
+
+make
+make install PREFIX=$PKG/usr
+
+# Include the stuff from extra/. To do this, we have to find out the
+# version of gimp to install the palette file for.
+case "${GIMPVER:-auto}" in
+ auto) GIMPVER=$(/bin/ls -d /usr/share/gimp/[0-9]*/ | sort -V | cut -d/ -f5) ;;
+ *) GIMPVER=$(echo $GIMPVER | cut -d. -f1,2) ;;
+esac
+
+# We get a gimp palette, and an RMS cowfile... which looks like poor
+# RMS is covered in blood splatters, due to dithering.
+make -C extra
+mkdir -p $PKG/usr/share/gimp/$GIMPVER/palettes $PKG/usr/share/games/cows
+install -m0644 extra/*.gpl $PKG/usr/share/gimp/$GIMPVER/palettes
+install -m0644 extra/cows/*.cow $PKG/usr/share/games/cows
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a README* COPYING $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}